
Figure - Bug #117144
【AF】【FW】设置，概率出现设置无响应
2023-03-24 11:38 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date: 2023-03-30

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version: 2023-03-29

Test Type: Free Test Root cause: Settings 因系统内存不足等原因被杀掉后再次进入执行恢复时，应用详情页面偶现的数据丢失导致的空指针异常。

Description

【测试步骤】

正常使用中滑动launcher页面

【预期结果】

页面显示正常，正确响应操作结果

【测试结果】

概率出现设备无响应（1/30）

History

#1 - 2023-03-24 18:46 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Priority changed from High to Normal

- % Done changed from 0 to 50

■ Current conclusion

已进行处理，正在跑脚本验证。

■ My analysis

产生原因：

Settings 的两栏处理，将所有的子页面都转换为 Fragment，在执行有参数的恢复操作时，某些场景下恢复 Fragment 的参数是从主 Activity 的 Intent 中获取，

主 Activity 的 Intent 在有外部跳转或从 Launcher 进入进行恢复时会被更新，页面恢复需要从原 Intent 中获取的参数不存在，导致崩溃。

处理方式：

1. 将原有的 Intent 在页面被销毁是保存下来，恢复时将原有的 Intent 先恢复，再恢复 Fragment；

2. 针对未知场景下，无法从 Intent 中获取参数时，增加默认值，做保底处理，保证应用不会崩溃；

3. 在一些页面，恢复时需要对一些变量进行判空，若为空则做针对性的处理；

BUG 优先级降级说明：

由于当前崩溃产生的原因是 Settings 因内存不足或配置变更等系统原因被杀掉，然后再次进入执行恢复时发生。且发生的页面仅在某些场景下出现，也就

是小概率性的，故将该 BUG 的处理优先级降为 Normal。

■ Next action

完成验证并完善处理逻辑后，提交代码 Review。

#2 - 2023-03-28 10:04 - CD FW 曹覃刚
- Due date set to 2023-03-30

#3 - 2023-03-29 20:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

189979 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix settings crash exception and restore page problem.Modify main switch bar padding end.TC-RID: 1201-0201813IssueID:

TS-R-BUG-117144Change-Id: Ic8c15e32601da1a493f75939be9d237cd47cedb5

#4 - 2023-03-29 20:05 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 50 to 100

- Degrated changed from -- to No

- Fixed Version set to 2023-03-29

- Root cause set to Settings 因系统内存不足等原因被杀掉后再次进入执行恢复时，应用详情页面偶现的数据丢失导致的空指针异常。

■ Current conclusion

已处理，代码已入库。

■ My analysis

由于经过验证，丢失 Intent 的情况概率较小，所以之前的处理方式一全局保存 Intent 数据不适用，目前的处理的方式是做数据加载及空保护，当应用详情

页面无法加载，返回上一级页面，若无上一级页面则显示默认页面。

■ Next action

测试验证。

#5 - 2023-03-31 18:40 - CD FW-廖涛

- Resolution changed from -- to FIXED

#6 - 2023-04-03 14:26 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【FW】设置，概率出现设置无响应 to 【AF】【FW】设置，概率出现设置无响应

#7 - 2023-04-06 18:03 - 物联网测试组_CDTS  唐霞 

系统存储超过90%的情况下频繁点击设置验证1h未复现，在验证2个版本

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0089.C102

#8 - 2023-04-10 18:33 - 物联网测试组_CDTS  唐霞 

系统存储超过90%的情况下频繁点击设置验证2h未复现，继续验证

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304100016.zip
#9 - 2023-04-18 14:42 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

最近3个版本验证未复现，关闭问题单

最后一个验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304170012

#10 - 2023-04-18 14:42 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

44444log 11 MB 2023-03-24 物联网测试组_CDTS  唐霞 
